#ifndef __IUF_GAMESECTION
#define __IUF_GAMESECTION

/** This class represent a Game Section.
Each Game Section provides methods to Draw, 
Update, and manage keys pression.

Version History {\small 
\begin{itemize}
\item 0.4 First Release.
\end{itemize}}
*/
using namespace vcg;
using namespace std;
class GameSection
{
 public:
	 virtual void Key(unsigned char key){};
	 virtual void SKey(int key){};
	 virtual void SKeyUp(int key){};
	 virtual void Reshape(int w, int h){};
	 virtual void Init(){};	
	 virtual void Draw(){};	
	 virtual void Update(int dt){};	
 /// Screen Width
 int ScreenW;
 /// Screen Height
 int ScreenH;
};

#endif



